Name:		fuppes
Version:	0.689
Release:	2%{?dist}
Summary:	multiplatform UPnP A/V Media Server.

Group:		Applications/Multimedia
License:	GPLv2
URL:		http://fuppes.ulrich-voelkel.de/
Source0:	http://sourceforge.net/projects/fuppes/files/fuppes/%{name}-%{version}.tar.gz
Source1:	fuppesd.init
Source2:	fuppesd.sysconfig

Patch0:		fuppes-config.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	autoconf, automake, libtool, gettext-devel
BuildRequires:	pcre-devel, taglib-devel, ImageMagick-devel, exiv2-devel, libmp4v2-devel, libvorbis-devel
BuildRequires:	libxml2-devel >= 2.7.0
BuildRequires:	flac-devel, inotify-tools-devel
BuildRequires:	sqlite-devel >= 3
### use Extended repositories ###
### if you want to use this, --with extend
%{?with_extend:BuildRequires:	ffmpegthumbnailer-devel, ffmpeg-devel, lame-devel, twolame-devel, libmad0}
#Requires:	

%description
FUPPES is a free, multiplatform UPnP A/V Media Server. FUPPES supports a wide
range of UPnP MediaRenderers as well as on-the-fly transcoding of various audio,
video and image formats. FUPPES also includesbasic DLNA support.

%prep
%setup -q
%patch0 -p1 -b .config

%build
/usr/bin/autoreconf -ivf
%configure \
	--enable-taglib \
	--enable-ffmpegthumbnailer \
	--enable-magickwand \
	--enable-exiv2 \
	--enable-transcoder-ffmpeg \
	--enable-mp4v2 \
	--enable-lame \
	--enable-twolame \
	--enable-vorbis \
	--enable-tremor \
	--enable-musepack \
	--enable-flac \
	--enable-mad \
	--enable-faad \
	--enable-inotify

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__install} -D -m0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/fuppesd
%{__install} -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/fuppesd
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_localstatedir}/lib/fuppes/db
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_localstatedir}/lib/fuppes/tmp
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_localstatedir}/run/fuppesd
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_localstatedir}/log/fuppesd

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_bindir}/fuppes*
%{_libdir}/libfuppes.*
%{_libdir}/fuppes/*
%{_datadir}/fuppes/*
%config(noreplace) %{_localstatedir}/lib/fuppes/fuppes.cfg
%{_localstatedir}/lib/fuppes/*
%dir %{_localstatedir}/run/fuppesd
%dir %{_localstatedir}/log/fuppesd
%{_sysconfdir}/rc.d/init.d/fuppesd
%{_sysconfdir}/sysconfig/fuppesd

%changelog
* Tue Oct 04 2011 momo-i <webmaster@momo-i.org> 0.689-1
- Rebuilt new package.

* Wed Sep 07 2011 momo-i <webmaster@momo-i.org> 0.686-1
- Initial rpm release.
